curl --request PATCH \
--url https://{subdomain}.logicgate.com/api/v2/paths/redirect/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowInternal": false,
"allowExternal": false,
"allowCurrentAssignee": false,
"description": "This describes the path.",
"requireAssignee": false
}
'import requests
url = "https://{subdomain}.logicgate.com/api/v2/paths/redirect/{id}"
payload = {
"allowInternal": False,
"allowExternal": False,
"allowCurrentAssignee": False,
"description": "This describes the path.",
"requireAssignee": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowInternal: false,
allowExternal: false,
allowCurrentAssignee: false,
description: 'This describes the path.',
requireAssignee: false
})
};
fetch('https://{subdomain}.logicgate.com/api/v2/paths/redirect/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.logicgate.com/api/v2/paths/redirect/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'allowInternal' => false,
'allowExternal' => false,
'allowCurrentAssignee' => false,
'description' => 'This describes the path.',
'requireAssignee' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.logicgate.com/api/v2/paths/redirect/{id}"
payload := strings.NewReader("{\n \"allowInternal\": false,\n \"allowExternal\": false,\n \"allowCurrentAssignee\": false,\n \"description\": \"This describes the path.\",\n \"requireAssignee\": false\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{subdomain}.logicgate.com/api/v2/paths/redirect/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"allowInternal\": false,\n \"allowExternal\": false,\n \"allowCurrentAssignee\": false,\n \"description\": \"This describes the path.\",\n \"requireAssignee\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.logicgate.com/api/v2/paths/redirect/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"allowInternal\": false,\n \"allowExternal\": false,\n \"allowCurrentAssignee\": false,\n \"description\": \"This describes the path.\",\n \"requireAssignee\": false\n}"
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4",
"from": "a1b2c3d4",
"to": "a1b2c3d4",
"allowInternal": false,
"allowExternal": false,
"allowCurrentAssignee": false,
"description": "This describes the path.",
"requireAssignee": false,
"object": "redirect-path"
}{
"property": "<string>",
"value": "<string>",
"message": "<string>"
}{
"property": "<string>",
"value": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}Update a redirect path
User must be entitled to the path in question, meaning they must have build access and be entitled both the source and target steps.
curl --request PATCH \
--url https://{subdomain}.logicgate.com/api/v2/paths/redirect/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowInternal": false,
"allowExternal": false,
"allowCurrentAssignee": false,
"description": "This describes the path.",
"requireAssignee": false
}
'import requests
url = "https://{subdomain}.logicgate.com/api/v2/paths/redirect/{id}"
payload = {
"allowInternal": False,
"allowExternal": False,
"allowCurrentAssignee": False,
"description": "This describes the path.",
"requireAssignee": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowInternal: false,
allowExternal: false,
allowCurrentAssignee: false,
description: 'This describes the path.',
requireAssignee: false
})
};
fetch('https://{subdomain}.logicgate.com/api/v2/paths/redirect/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.logicgate.com/api/v2/paths/redirect/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'allowInternal' => false,
'allowExternal' => false,
'allowCurrentAssignee' => false,
'description' => 'This describes the path.',
'requireAssignee' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.logicgate.com/api/v2/paths/redirect/{id}"
payload := strings.NewReader("{\n \"allowInternal\": false,\n \"allowExternal\": false,\n \"allowCurrentAssignee\": false,\n \"description\": \"This describes the path.\",\n \"requireAssignee\": false\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{subdomain}.logicgate.com/api/v2/paths/redirect/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"allowInternal\": false,\n \"allowExternal\": false,\n \"allowCurrentAssignee\": false,\n \"description\": \"This describes the path.\",\n \"requireAssignee\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.logicgate.com/api/v2/paths/redirect/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"allowInternal\": false,\n \"allowExternal\": false,\n \"allowCurrentAssignee\": false,\n \"description\": \"This describes the path.\",\n \"requireAssignee\": false\n}"
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4",
"from": "a1b2c3d4",
"to": "a1b2c3d4",
"allowInternal": false,
"allowExternal": false,
"allowCurrentAssignee": false,
"description": "This describes the path.",
"requireAssignee": false,
"object": "redirect-path"
}{
"property": "<string>",
"value": "<string>",
"message": "<string>"
}{
"property": "<string>",
"value": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}Authorizations
Bearer token issued via the Authentication endpoints.
Headers
A bearer authorization header containing a Risk Cloud API access token in the format Authorization: Bearer TOKEN — replace TOKEN with your actual access token.
To obtain a Risk Cloud API access token, refer to Obtain an API Access Token in the LogicGate Help Center.
Path Parameters
The unique ID of the redirect path.
Body
Default next path (Update).
Whether a step's current assignee may assign this record to any user with access to the target step on submission.
false
Whether a step's current assignee may assign this record to external email addresses on submission.
false
Allow a step's current assignee to submit without assigning
false
Description of the path.
"This describes the path."
Require an assignee to be chosen
false
Response
Success
The unique ID of this Risk Cloud resource
"a1b2c3d4"
The ID of the source step.
"a1b2c3d4"
The ID of the destination step.
"a1b2c3d4"
Whether a step's current assignee may assign this record to any user with access to the target step on submission.
false
Whether a step's current assignee may assign this record to external email addresses on submission.
false
Allow a step's current assignee to submit without assigning
false
Description of the path.
"This describes the path."
Require an assignee to be chosen
false
Identifies the type of object this data represents
"redirect-path"